#ifndef IZ_APP_H
#define IZ_APP_H

#include <SDL.h>
#include <stdbool.h>
#include "input/IZ_input.h"
#include "output/IZ_video.h"
#include "memory/IZ_pool.h"

typedef struct {
	IZ_InputState input_state;
	IZ_VideoState video_state;

	IZ_Pool memory_pool;
	bool quit;
} IZ_App;

IZ_ProcedureResult IZ_RunApp(IZ_App*, uint8_t, char**);

#endif
